
// ****************************************************************************
//
//                                 Main code
//
// ****************************************************************************

#ifndef _MAIN_H
#define _MAIN_H

extern u32 TestData[512];

extern "C" void TestMove1();
extern "C" void TestMove2();
extern "C" void TestMove3();
extern "C" void TestMove4();
extern "C" void TestAdd1();
extern "C" void TestAdd2();
extern "C" void TestAdd3();
extern "C" void TestAdd4();
extern "C" void TestAdd5();
extern "C" void TestAdd6();
extern "C" void TestAdd7();
extern "C" void TestAdd8();
extern "C" void TestAdd9();
extern "C" void TestSub1();
extern "C" void TestSub2();
extern "C" void TestSub3();
extern "C" void TestSub4();
extern "C" void TestSub5();
extern "C" void TestSub6();
extern "C" void TestMul();
extern "C" void TestCmp1();
extern "C" void TestCmp2();
extern "C" void TestCmp3();
extern "C" void TestAnd();
extern "C" void TestEor();
extern "C" void TestOrr();
extern "C" void TestBic();
extern "C" void TestMvn();
extern "C" void TestTst();
extern "C" void TestLsls1();
extern "C" void TestLsls2();
extern "C" void TestLsrs1();
extern "C" void TestLsrs2();
extern "C" void TestAsrs1();
extern "C" void TestAsrs2();
extern "C" void TestRors();
extern "C" void TestLdr1();
extern "C" void TestLdr1B();
extern "C" void TestLdr2();
extern "C" void TestLdr2B();
extern "C" void TestLdr3();
extern "C" void TestLdr3B();
extern "C" void TestLdr4();
extern "C" void TestLdr4B();
extern "C" void TestLdr5();
extern "C" void TestLdr5B();
extern "C" void TestLdr6();
extern "C" void TestLdr6B();
extern "C" void TestLdr7();
extern "C" void TestLdr7B();
extern "C" void TestLdr8();
extern "C" void TestLdr8B();
extern "C" void TestLdr9();
extern "C" void TestLdr10();
extern "C" void TestLdr11();
extern "C" void TestLdr12();
extern "C" void TestStr1();
extern "C" void TestStr1B();
extern "C" void TestStr2();
extern "C" void TestStr2B();
extern "C" void TestStr3();
extern "C" void TestStr3B();
extern "C" void TestStr4();
extern "C" void TestStr4B();
extern "C" void TestStr5();
extern "C" void TestStr5B();
extern "C" void TestStr6();
extern "C" void TestStr6B();
extern "C" void TestStr7();
extern "C" void TestStr8();
extern "C" void TestPush1();
extern "C" void TestPush2();
extern "C" void TestPop1();
extern "C" void TestPop2();
extern "C" void TestB1();
extern "C" void TestB1B();
extern "C" void TestB2();
extern "C" void TestB3();
extern "C" void TestB4();
extern "C" void TestB5();
extern "C" void TestExt1();
extern "C" void TestExt2();
extern "C" void TestExt3();
extern "C" void TestExt4();
extern "C" void TestRev1();
extern "C" void TestRev2();
extern "C" void TestRev3();
extern "C" void TestStat1();
extern "C" void TestStat2();
extern "C" void TestStat3();
extern "C" void TestStat4();
extern "C" void TestHint1();
extern "C" void TestHint2();
extern "C" void TestHint3();
extern "C" void TestHint4();
extern "C" void TestBar1();
extern "C" void TestBar2();
extern "C" void TestBar3();

#endif // _MAIN_H
